#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
printf '%s' 'name:                 hslua
version:              2.3.0
visibility:           public
id:                   hslua-2.3.0-28TaWzJ0XeQ1puV0UrRJee
key:                  hslua-2.3.0-28TaWzJ0XeQ1puV0UrRJee
license:              MIT
copyright:
    © 2007–2012 Gracjan Polak;
    © 2012–2016 Ömer Sinan Ağacan;
    © 2017-2023 Albert Krewinkel

maintainer:           tarleb@hslua.org
author:               Albert Krewinkel, Gracjan Polak, Ömer Sinan Ağacan
homepage:             https://hslua.org/
synopsis:             Bindings to Lua, an embeddable scripting language
description:
    HsLua provides wrappers and helpers
    to bridge Haskell and <https://www.lua.org/ Lua>.

    It builds upon the /lua/ package, which allows to bundle
    a Lua interpreter with a Haskell program.

    Example programs are can be found in the @hslua-examples@
    subdir of the project
    <https://github.com/hslua/hslua repository>.

category:             Foreign
abi:                  6e40493d75eb837ff20cd46c33fe3f66
exposed:              True
exposed-modules:
    HsLua,
    HsLua.Aeson from hslua-aeson-2.3.0.1-G825obpHUHzIyhn6vFy70s:HsLua.Aeson,
    HsLua.Class.Exposable from hslua-classes-2.3.0-Exf9w2HzGdwK47GLCE1L5X:HsLua.Class.Exposable,
    HsLua.Class.Invokable from hslua-classes-2.3.0-Exf9w2HzGdwK47GLCE1L5X:HsLua.Class.Invokable,
    HsLua.Class.Peekable from hslua-classes-2.3.0-Exf9w2HzGdwK47GLCE1L5X:HsLua.Class.Peekable,
    HsLua.Class.Pushable from hslua-classes-2.3.0-Exf9w2HzGdwK47GLCE1L5X:HsLua.Class.Pushable,
    HsLua.Class.Util from hslua-classes-2.3.0-Exf9w2HzGdwK47GLCE1L5X:HsLua.Class.Util,
    HsLua.Core from hslua-core-2.3.1-BaIvpfGeoSs6jiepDBO6qT:HsLua.Core,
    HsLua.Core.Error from hslua-core-2.3.1-BaIvpfGeoSs6jiepDBO6qT:HsLua.Core.Error,
    HsLua.Core.Types from hslua-core-2.3.1-BaIvpfGeoSs6jiepDBO6qT:HsLua.Core.Types,
    HsLua.Core.Utf8 from hslua-core-2.3.1-BaIvpfGeoSs6jiepDBO6qT:HsLua.Core.Utf8,
    HsLua.Marshalling from hslua-marshalling-2.3.1-AmQJxNxb5SvIMK9lDMCSa7:HsLua.Marshalling,
    HsLua.ObjectOrientation from hslua-objectorientation-2.3.0-HDHCeekCVj39UanDIcyE4s:HsLua.ObjectOrientation,
    HsLua.Packaging from hslua-packaging-2.3.1-99jrCl92WxvHXWZqlY7OaP:HsLua.Packaging,
    HsLua.Packaging.Function from hslua-packaging-2.3.1-99jrCl92WxvHXWZqlY7OaP:HsLua.Packaging.Function,
    HsLua.Packaging.Module from hslua-packaging-2.3.1-99jrCl92WxvHXWZqlY7OaP:HsLua.Packaging.Module,
    HsLua.Packaging.Rendering from hslua-packaging-2.3.1-99jrCl92WxvHXWZqlY7OaP:HsLua.Packaging.Rendering,
    HsLua.Typing from hslua-typing-0.1.1-IbYfHnO1lXyB7b07RVjd7q:HsLua.Typing,
    HsLua.Util

import-dirs:          /usr/lib/ghc-9.4.8/site-local/hslua-2.3.0
library-dirs:         /usr/lib/ghc-9.4.8/site-local/hslua-2.3.0
library-dirs-static:  /usr/lib/ghc-9.4.8/site-local/hslua-2.3.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-hslua
hs-libraries:         HShslua-2.3.0-28TaWzJ0XeQ1puV0UrRJee
depends:
    base-4.17.2.1 bytestring-0.11.5.3 containers-0.6.7
    exceptions-0.10.5 hslua-aeson-2.3.0.1-G825obpHUHzIyhn6vFy70s
    hslua-classes-2.3.0-Exf9w2HzGdwK47GLCE1L5X
    hslua-core-2.3.1-BaIvpfGeoSs6jiepDBO6qT
    hslua-marshalling-2.3.1-AmQJxNxb5SvIMK9lDMCSa7
    hslua-objectorientation-2.3.0-HDHCeekCVj39UanDIcyE4s
    hslua-packaging-2.3.1-99jrCl92WxvHXWZqlY7OaP
    hslua-typing-0.1.1-IbYfHnO1lXyB7b07RVjd7q mtl-2.2.2 text-2.0.2

haddock-interfaces:   /usr/share/doc/haskell-hslua/html/hslua.haddock
haddock-html:         /usr/share/doc/haskell-hslua/html
' | '/usr/bin/ghc-pkg-9.4.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

